%Codigo para el funcionamiento de la funcion dilate_mult_JuanALberto


function imagen_out=dilate_mult(imagen_in,N_veces);

[filas columnas]=size(imagen_in);
imagen_out=imagen_in;

for rep=1:N_veces
    for i=2:filas-1
        for j=2:columnas-1
             if   imagen_in(i-1,j)==1 & imagen_in(i,j-1)==1 & imagen_in(i,j+1)==1 & imagen_in(i+1,j)==1&imagen_in(i+1,j-1)==1&imagen_in(i-1,j-1)==1&imagen_in(i-1,j+1)==1 &imagen_in(i+1,j+1)==1;
                    imagen_out(i,j)=1 ;  %pixel central se convertira a 1 si almenos uno de los vecinos vale 1
             else
                    imagen_out(i,j)=0;
             end
             
             
        end
    end
    imagen_in=imagen_out;
end